Subject: bug#76384: Incorrect mouse events / tool-bar event is undefined error.

From: Po Lu <[email-masked]>
Date: Thu, 20 Feb 2025 09:48:28 +0800

Eli Zaretskii <[email-masked]> writes:

>> Date: Wed, 19 Feb 2025 15:04:20 +0200
>> Cc: [email-masked]
>> From: mjk <[email-masked]>
>> 
>> On fedora 40 with gnome. This was after throwing .emacs and .emacs.d aside.
>> I also tested as you instructed with -Q and it is just the same. 
>> *scratch* is enough.
>> I suppose it is the same in any window for me. And it seems to be fully 
>> repeatable.
>> Maybe I should try some other windowing system just for reference.
>
> OK, thanks.  This becomes curiouser and curiouser, then.
>
> What is your window manager?
>
> Po Lu, any ideas how this kind of weird thing could happen?

I don't know, but I expect it to be fixed in Emacs 30 where mouse wheel
event types have been unified across all window systems.